%global commit bdf33f8dfeab700ffcae74435b7511bb10d97f21
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary:        OpenGL manpages
Name:           gl-manpages
Version:        1.1
Release:        5%{?dist}
License:        MIT and Open Publication
URL:            https://github.com/KhronosGroup/OpenGL-Refpages
Source0:        https://github.com/KhronosGroup/OpenGL-Refpages/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
Source1:        http://www.oasis-open.org/docbook/xml/mathml/1.1CR1/dbmathml.dtd
Source2:        http://www.w3.org/Math/DTD/mathml2.tgz
Source3:        gl-manpages-1.0.1.tar.bz2
Source4:        metainfo.xsl

BuildRequires:  make libxslt docbook-style-xsl docbook5-style-xsl python3

BuildArch:      noarch

%description
This package provides manpages for OpenGL

%prep
%setup -q -n OpenGL-Refpages-%{commit} -a2 -a3
cp -av %{SOURCE1} mathml2/

%build
export BD=`pwd`
xmlcatalog --create --noout \
	--add public "-//W3C//DTD MathML 2.0//EN" "file://$BD/mathml2/mathml2.dtd" \
	--add system "http://www.w3.org/TR/MathML2/dtd/mathml2.dtd" "file://$BD/mathml2/mathml2.dtd" \
	--add public "-//OASIS//DTD DocBook MathML Module V1.1b1//EN" "file://$BD/mathml2/dbmathml.dtd" \
	--add system "http://www.oasis-open.org/docbook/xml/mathml/1.1CR1/dbmathml.dtd" "file://$BD/mathml2/dbmathml.dtd" \
	mathml2.cat
export XML_CATALOG_FILES="$BD/mathml2.cat /etc/xml/catalog"
make
pushd gl4
	for MANP in gl*.xml ; do
		xsltproc --xinclude --nonet %{SOURCE4} $MANP | xsltproc --xinclude --nonet /usr/share/sgml/docbook/xsl-ns-stylesheets/manpages/docbook.xsl -
	done
popd


%install
install -Dt %{buildroot}%{_mandir}/man3/ gl4/*.3G
for MANP in `find gl-manpages-1.0.1 -name *.3gl` ; do
	FN=${MANP//*\//}
	cp -a --update=none $MANP %{buildroot}%{_mandir}/man3/${FN/.3gl/.3G}
done
sed -i 's/\.3gl/\.3G/g' %{buildroot}%{_mandir}/man3/*


%files
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 9 2023 Shuo Wang <abushwang@tencent.com> - 1.1-4
- fix install fail for coreutils update

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Oct 26 2022 Shuo Wang <abushwang@tencent.com> - 1.1-1
- initial build

